Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 1018)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 1019)
@@ -341,6 +341,7 @@
 			//clone.chart = this.chart.clone();
 			clone.clearLastRenderingParameters(); // to force recreation of the chart at next computing
 			clone.chartDirty = true;
+			clone.hasBeenComputedOnce = false;
 		}
 		catch(Exception e) {
 		}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1018)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1019)
@@ -131,14 +131,34 @@
 	//		this(corpus, name, queries, null);
 	//	}
 
-	public Partition(Corpus corpus) {
-		super(corpus);
+	/**
+	 * 
+	 * @param parent
+	 */
+	public Partition(Corpus parent)	{
+		this(null, parent);
 	}
 
-	public Partition(String uuid) {
-		super(uuid);
+	/**
+	 * 
+	 * @param uuid
+	 */
+	public Partition(String uuid)	{
+		this(uuid, null);
 	}
+	
 	/**
+	 * 
+	 * @param uuid
+	 * @param parent
+	 */
+	public Partition(String uuid, Corpus parent)	{
+		super(uuid, parent);
+		this.persistable = true;
+		this.userPersistable = false;
+	}
+	
+	/**
 	 * Instantiates a new partition.
 	 *
 	 * @param corpus the corpus
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 1018)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 1019)
@@ -199,8 +199,11 @@
 		// initialize pre-configured subcorpus and partition of corpus registered in the default.xml workspace file
 		System.out.print(TXMCoreMessages.Toolbox_workspace_init);
 		for (Base b : Toolbox.workspace.getProject("default").getBases()) {
+			
+			Log.info("Loading CQP corpora of " + b.getName() + " corpus...");
+			
 			if (!loadCQPCorpora(b, monitor)) {
-				System.out.println("Failed to load CQP corpora of "+b.getName()+" corpus.");
+				Log.severe("Failed to load CQP corpora of " + b.getName() + " corpus.");
 			}
 		}
 		
@@ -215,7 +218,9 @@
 			Element c = base.getBaseParameters().corpora.get(corpusname);
 			try {
 				MainCorpus corp = CorpusManager.getCorpusManager().getCorpus(corpusname);
-				if (monitor != null) monitor.subTask("Loading "+corp+" subcorpora and partitions...");
+				if (monitor != null) {
+					monitor.subTask("Loading " + corp + " subcorpora and partitions of corpus " + corpusname + "...");
+				}
 				corp.setSelfElement(c);
 				corp.setParent(base);
 				corp.load(); // don't load corpus right now, wait for the search engine to be ready
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1018)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1019)
@@ -590,25 +590,4 @@
 			corporaView.treeViewer.expandToLevel(obj, 1);
 		}
 	}
-
-
-	// FIXMLE: deprecated
-	/**
-	 * Adds a double click listener to the tree view for the specified result data type and executing the command specified by its ID which must be equal to its class simple name
-	 * (eg. to do the link, the command ID must be "ComputeCA" for an handler class named "ComputeCA.java").
-	 * 
-	 * warning: There can be only one DoubleClickListener per resultDataClass
-	 * 
-	 * @param resultDataClass
-	 * @param commandClass
-	 */
-	//	public static void addDoubleClickListener(final Class resultDataClass, final Class commandClass)	{
-	//		if (managedDoubleClickClasses.containsKey(managedDoubleClickClasses)) {
-	//			Log.warning("The " + commandClass + " class for result " + resultDataClass + " is already managed by the Corpora view.");
-	//			return;
-	//		}
-	//		//FIXME: this won't works if the ComputeXXX commands is not called -> we can't do lazy load
-	//		// also not work for the intermediate results (eg. lexical table of a CA computed from a partition)
-	//		managedDoubleClickClasses.put(resultDataClass, commandClass);
-	//	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java	(revision 1018)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java	(revision 1019)
@@ -131,6 +131,7 @@
 		buffer.append("Node visible = " + this.currentResult.isVisible() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("Node weight = " + this.currentResult.getWeight() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("Persistable = " + this.currentResult.isPersistable() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		buffer.append("User persistable = " + this.currentResult.isUserPersistable() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 //		if (this.currentResult instanceof ChartResult) 	{
 //			buffer.append("Chart engine = " + ((ChartResult)this.currentResult).getChartsEngine() + ", chart object = " + ((ChartResult)this.currentResult).getChart()
 //					+ ", chart type = " + ((ChartResult)this.currentResult).getChartType()
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancePreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancePreferencePage.java	(revision 1018)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancePreferencePage.java	(revision 1019)
@@ -1,141 +0,0 @@
-// Copyright © 2010-2013 ENS de Lyon.
-// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
-// Lyon 2, University of Franche-Comté, University of Nice
-// Sophia Antipolis, University of Paris 3.
-// 
-// The TXM platform is free software: you can redistribute it
-// and/or modify it under the terms of the GNU General Public
-// License as published by the Free Software Foundation,
-// either version 2 of the License, or (at your option) any
-// later version.
-// 
-// The TXM platform is distributed in the hope that it will be
-// useful, but WITHOUT ANY WARRANTY; without even the implied
-// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-// PURPOSE. See the GNU General Public License for more
-// details.
-// 
-// You should have received a copy of the GNU General
-// Public License along with the TXM platform. If not, see
-// http://www.gnu.org/licenses.
-// 
-// 
-// 
-// $LastChangedDate:$
-// $LastChangedRevision:$
-// $LastChangedBy:$ 
-//
-package org.txm.rcp.preferences;
-
-import org.eclipse.jface.preference.BooleanFieldEditor;
-import org.eclipse.jface.preference.ComboFieldEditor;
-import org.eclipse.jface.preference.DirectoryFieldEditor;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.layout.GridData;
-import org.eclipse.swt.layout.RowLayout;
-import org.eclipse.swt.widgets.Group;
-import org.eclipse.ui.IWorkbench;
-import org.eclipse.ui.PlatformUI;
-import org.eclipse.ui.handlers.IHandlerService;
-import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.messages.TXMUIMessages;
-import org.txm.rcp.views.corpora.CorporaView;
-import org.txm.rcp.views.fileexplorer.MacroExplorer;
-
-/**
- * Advanced preferences page.
- */
-public class AdvancePreferencePage extends TXMPreferencePage {
-	
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
-	 */
-	@Override
-	protected void createFieldEditors() {
-
-		// install directory
-		addField(new DirectoryFieldEditor(TBXPreferences.INSTALL_DIR, TXMUIMessages.AdvancePreferencePage_1, getFieldEditorParent()));
-		
-		// txmhome directory
-		addField(new DirectoryFieldEditor(TBXPreferences.USER_TXM_HOME, TXMUIMessages.AdvancePreferencePage_2, getFieldEditorParent()));
-		
-		Group updateGroup = new Group(getFieldEditorParent(), SWT.NONE);
-		updateGroup.setText(TXMUIMessages.AdvancePreferencePage_6);
-		GridData gridData2 = new GridData(SWT.FILL, SWT.FILL, true, false);
-		gridData2.horizontalSpan = 3;
-		gridData2.verticalIndent = 10;
-		updateGroup.setLayoutData(gridData2);
-		RowLayout rlayout = new RowLayout(SWT.VERTICAL);
-		rlayout.marginHeight = 5;
-		updateGroup.setLayout(rlayout);
-		
-		// Log level
-		String[][] choices = new String[9][2];
-		choices[0][0] = choices[0][1] = "OFF"; //$NON-NLS-1$
-		choices[1][0] = choices[1][1] = "SEVERE"; //$NON-NLS-1$
-		choices[2][0] = choices[2][1] = "WARNING"; //$NON-NLS-1$
-		choices[3][0] = choices[3][1] = "INFO"; //$NON-NLS-1$
-		choices[4][0] = choices[4][1] = "CONFIG"; //$NON-NLS-1$
-		choices[5][0] = choices[5][1] = "FINE"; //$NON-NLS-1$
-		choices[6][0] = choices[6][1] = "FINER"; //$NON-NLS-1$
-		choices[7][0] = choices[7][1] = "FINEST"; //$NON-NLS-1$
-		choices[8][0] = choices[8][1] = "ALL"; //$NON-NLS-1$
-		addField(new ComboFieldEditor(TBXPreferences.LOG_LEVEL, TXMUIMessages.AdvancePreferencePage_12, choices, updateGroup));
-
-		// Log timings
-		addField(new BooleanFieldEditor(TBXPreferences.SHOW_TIMINGS, TXMUIMessages.AdvancePreferencePage_3, updateGroup));
-		
-		// Log stack trace
-		addField(new BooleanFieldEditor(TBXPreferences.LOG_STACKTRACE, TXMUIMessages.AdvancePreferencePage_0, updateGroup));
-		
-		// Log console
-		addField(new BooleanFieldEditor(TBXPreferences.ADD_TECH_LOGS, TXMUIMessages.AdvancePreferencePage_13, updateGroup));
-		
-		// Show dialog on severe error
-		addField(new BooleanFieldEditor(RCPPreferences.SHOW_SEVERE_DIALOG, "Show a dialog box when a severe error occurs", updateGroup));
-
-		// Log in file
-		addField(new BooleanFieldEditor(TBXPreferences.LOG_IN_FILE, TXMUIMessages.AdvancePreferencePage_14, updateGroup));
-		
-		// Update level
-		String[][] choices2 = new String[4][2];
-		choices2[0][0] = choices2[0][1]= "STABLE"; //$NON-NLS-1$
-		choices2[1][0] = choices2[1][1] = "BETA"; //$NON-NLS-1$
-		choices2[2][0] = choices2[2][1] = "ALPHA"; //$NON-NLS-1$
-		choices2[3][0] = choices2[3][1] = "DEV"; //$NON-NLS-1$
-		addField(new ComboFieldEditor(RCPPreferences.UPDATE_LEVEL, TXMUIMessages.AdvancePreferencePage_7,choices2, getFieldEditorParent()));
-		
-		// Expert mode
-		addField(new BooleanFieldEditor(TBXPreferences.EXPERT_USER, TXMUIMessages.AdvancePreferencePage_4, getFieldEditorParent()));
-
-		// Auto save each result after computing and auto load them at startup
-		addField(new BooleanFieldEditor(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TXMUIMessages.preferences_advanced_enableResultsPersistence, getFieldEditorParent()));
-
-	}
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#performOk()
-	 */
-	@Override
-	public boolean performOk() {
-		super.performOk();
-		try {
-			MacroExplorer.refresh();
-			CorporaView.refresh();
-			
-			// update repositories
-			IHandlerService service = (IHandlerService) PlatformUI.getWorkbench().getService(IHandlerService.class);
-			service.executeCommand("org.txm.rcp.p2.plugins.FixUpdateHandler", null); //$NON-NLS-1$
-			
-		} catch (Exception e) {
-			System.err.println(TXMUIMessages.FAILED_TO_SAVE_PREFERENCES + e);
-		}
-		return true;
-	}
-
-	@Override
-	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(TBXPreferences.PREFERENCES_NODE));
-	}
-}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 0)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 1019)
@@ -0,0 +1,141 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.preferences;
+
+import org.eclipse.jface.preference.BooleanFieldEditor;
+import org.eclipse.jface.preference.ComboFieldEditor;
+import org.eclipse.jface.preference.DirectoryFieldEditor;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.RowLayout;
+import org.eclipse.swt.widgets.Group;
+import org.eclipse.ui.IWorkbench;
+import org.eclipse.ui.PlatformUI;
+import org.eclipse.ui.handlers.IHandlerService;
+import org.txm.core.preferences.TBXPreferences;
+import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.rcp.views.fileexplorer.MacroExplorer;
+
+/**
+ * Advanced preferences page.
+ */
+public class AdvancedPreferencePage extends TXMPreferencePage {
+	
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
+	 */
+	@Override
+	protected void createFieldEditors() {
+
+		// install directory
+		addField(new DirectoryFieldEditor(TBXPreferences.INSTALL_DIR, TXMUIMessages.AdvancePreferencePage_1, getFieldEditorParent()));
+		
+		// txmhome directory
+		addField(new DirectoryFieldEditor(TBXPreferences.USER_TXM_HOME, TXMUIMessages.AdvancePreferencePage_2, getFieldEditorParent()));
+		
+		Group updateGroup = new Group(getFieldEditorParent(), SWT.NONE);
+		updateGroup.setText(TXMUIMessages.AdvancePreferencePage_6);
+		GridData gridData2 = new GridData(SWT.FILL, SWT.FILL, true, false);
+		gridData2.horizontalSpan = 3;
+		gridData2.verticalIndent = 10;
+		updateGroup.setLayoutData(gridData2);
+		RowLayout rlayout = new RowLayout(SWT.VERTICAL);
+		rlayout.marginHeight = 5;
+		updateGroup.setLayout(rlayout);
+		
+		// Log level
+		String[][] choices = new String[9][2];
+		choices[0][0] = choices[0][1] = "OFF"; //$NON-NLS-1$
+		choices[1][0] = choices[1][1] = "SEVERE"; //$NON-NLS-1$
+		choices[2][0] = choices[2][1] = "WARNING"; //$NON-NLS-1$
+		choices[3][0] = choices[3][1] = "INFO"; //$NON-NLS-1$
+		choices[4][0] = choices[4][1] = "CONFIG"; //$NON-NLS-1$
+		choices[5][0] = choices[5][1] = "FINE"; //$NON-NLS-1$
+		choices[6][0] = choices[6][1] = "FINER"; //$NON-NLS-1$
+		choices[7][0] = choices[7][1] = "FINEST"; //$NON-NLS-1$
+		choices[8][0] = choices[8][1] = "ALL"; //$NON-NLS-1$
+		addField(new ComboFieldEditor(TBXPreferences.LOG_LEVEL, TXMUIMessages.AdvancePreferencePage_12, choices, updateGroup));
+
+		// Log timings
+		addField(new BooleanFieldEditor(TBXPreferences.SHOW_TIMINGS, TXMUIMessages.AdvancePreferencePage_3, updateGroup));
+		
+		// Log stack trace
+		addField(new BooleanFieldEditor(TBXPreferences.LOG_STACKTRACE, TXMUIMessages.AdvancePreferencePage_0, updateGroup));
+		
+		// Log console
+		addField(new BooleanFieldEditor(TBXPreferences.ADD_TECH_LOGS, TXMUIMessages.AdvancePreferencePage_13, updateGroup));
+		
+		// Show dialog on severe error
+		addField(new BooleanFieldEditor(RCPPreferences.SHOW_SEVERE_DIALOG, "Show a dialog box when a severe error occurs", updateGroup));
+
+		// Log in file
+		addField(new BooleanFieldEditor(TBXPreferences.LOG_IN_FILE, TXMUIMessages.AdvancePreferencePage_14, updateGroup));
+		
+		// Update level
+		String[][] choices2 = new String[4][2];
+		choices2[0][0] = choices2[0][1]= "STABLE"; //$NON-NLS-1$
+		choices2[1][0] = choices2[1][1] = "BETA"; //$NON-NLS-1$
+		choices2[2][0] = choices2[2][1] = "ALPHA"; //$NON-NLS-1$
+		choices2[3][0] = choices2[3][1] = "DEV"; //$NON-NLS-1$
+		addField(new ComboFieldEditor(RCPPreferences.UPDATE_LEVEL, TXMUIMessages.AdvancePreferencePage_7,choices2, getFieldEditorParent()));
+		
+		// Expert mode
+		addField(new BooleanFieldEditor(TBXPreferences.EXPERT_USER, TXMUIMessages.AdvancePreferencePage_4, getFieldEditorParent()));
+
+		// Auto save each result after computing and auto load them at startup
+		addField(new BooleanFieldEditor(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TXMUIMessages.preferences_advanced_enableResultsPersistence, getFieldEditorParent()));
+
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#performOk()
+	 */
+	@Override
+	public boolean performOk() {
+		super.performOk();
+		try {
+			MacroExplorer.refresh();
+			CorporaView.refresh();
+			
+			// update repositories
+			IHandlerService service = (IHandlerService) PlatformUI.getWorkbench().getService(IHandlerService.class);
+			service.executeCommand("org.txm.rcp.p2.plugins.FixUpdateHandler", null); //$NON-NLS-1$
+			
+		} catch (Exception e) {
+			System.err.println(TXMUIMessages.FAILED_TO_SAVE_PREFERENCES + e);
+		}
+		return true;
+	}
+
+	@Override
+	public void init(IWorkbench workbench) {
+		this.setPreferenceStore(new TXMPreferenceStore(TBXPreferences.PREFERENCES_NODE));
+	}
+}

Property changes on: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/SetTXMResultPersistentState.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/SetTXMResultPersistentState.java	(revision 1018)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/SetTXMResultPersistentState.java	(revision 1019)
@@ -71,9 +71,9 @@
 		if(object instanceof TXMResult)	{
 			TXMResult result = ((TXMResult)object);
 			result.swapUserPersistableState();
-			if(result.mustBePersisted())	{
-				TXMPreferences.flush(result);
-			}
+//			if(result.mustBePersisted())	{
+//				TXMPreferences.flush(result);
+//			}
 			CorporaView.refresh();
 			return null;
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/DefaultAdapterFactory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/DefaultAdapterFactory.java	(revision 0)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/DefaultAdapterFactory.java	(revision 1019)
@@ -0,0 +1,53 @@
+// Copyright © 2010-2013 ENS de Lyon.
+package org.txm.rcp.adapters;
+
+import org.eclipse.jface.resource.ImageDescriptor;
+import org.eclipse.ui.ISharedImages;
+import org.eclipse.ui.PlatformUI;
+import org.txm.core.results.TXMResult;
+
+
+/**
+ * Default TXMResult adapter factory.
+ * Essentially dedicated to debug purpose.
+ *  
+ * @author mdecorde
+ * @author sjacquot
+ */
+public class DefaultAdapterFactory extends TXMResultAdapterFactory {
+
+
+	@Override
+	public Object getAdapter(Object adaptableObject, Class adapterType) {
+		if(this.canAdapt(adapterType)
+				&& (
+				adaptableObject instanceof TXMResult
+//				|| adaptableObject instanceof Edition
+//				|| adaptableObject instanceof Text
+//				|| adaptableObject instanceof SavedQuery
+				
+				))	{
+			return new TXMResultAdapter() {
+				@Override
+				public ImageDescriptor getImageDescriptor(Object object) {
+					return PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(ISharedImages.IMG_ELCL_STOP_DISABLED);
+				}
+				
+				@Override
+				public String getLabel(Object result) {
+					if (result instanceof TXMResult) {
+						return ((TXMResult) result).getCurrentName() + " - " + result.getClass().getSimpleName();
+					}
+					else {
+						return result.toString();
+					}
+				}
+
+				
+			};
+		}
+		return null;
+	}
+
+
+}

Property changes on: tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/DefaultAdapterFactory.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java	(revision 1018)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java	(revision 1019)
@@ -3,15 +3,11 @@
  */
 package org.txm.rcp.adapters;
 
-import java.util.Random;
-
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.graphics.Color;
 import org.eclipse.swt.graphics.FontData;
 import org.eclipse.swt.graphics.RGB;
 import org.eclipse.swt.widgets.Display;
-import org.eclipse.ui.ISharedImages;
-import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.model.WorkbenchAdapter;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.results.TXMResult;
@@ -68,7 +64,7 @@
     public RGB getForeground(Object element) {
 		if(element instanceof TXMResult && !((TXMResult)element).hasBeenComputedOnce())	{
 	    	Display display = Display.getCurrent();
-	    	Color color = display.getSystemColor(SWT.COLOR_GRAY);
+	    	Color color = display.getSystemColor(SWT.COLOR_DARK_GRAY);
 	    	return color.getRGB();
 		}
 		return null;
@@ -78,7 +74,7 @@
     public RGB getBackground(Object element) {
 		if(element instanceof TXMResult && ((TXMResult)element).isUserPersistable())	{
 	    	Display display = Display.getCurrent();
-	    	Color color = display.getSystemColor(SWT.COLOR_TITLE_INACTIVE_BACKGROUND);
+	    	Color color = display.getSystemColor(SWT.COLOR_WIDGET_BACKGROUND);
 
 	    	// FIXME: random color tests
 //	    	Random rnd = new Random();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1018)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1019)
@@ -702,5 +702,5 @@
 
 error_invalidRegularExpression = Invalid regular expression: {0}
 
-preferences_advanced_enableResultsPersistence        = Enable results persistence
+preferences_advanced_enableResultsPersistence        = Enable automatic save of all results (persistence)
 preferences_advanced_showAllResultNodesInCorporaView = Show all result nodes in corpora view
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1018)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1019)
@@ -641,5 +641,5 @@
 
 error_invalidRegularExpression = Expression régulière invalide : {0}
 
-preferences_advanced_enableResultsPersistence        = Activer la perstistance des résultats
+preferences_advanced_enableResultsPersistence        = Activer la sauvegarde automatique de tous les résultats (perstistance)
 preferences_advanced_showAllResultNodesInCorporaView = Afficher les noeuds de tous les résultats dans la vue corpus
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java	(revision 1018)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java	(revision 1019)
@@ -9,7 +9,7 @@
 import org.eclipse.equinox.p2.ui.ProvisioningUI;
 import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.messages.TXMUIMessages;
-import org.txm.rcp.preferences.AdvancePreferencePage;
+import org.txm.rcp.preferences.AdvancedPreferencePage;
 import org.txm.utils.logger.Log;
 
 public class FixUpdateHandler extends UpdateHandler {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 1018)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 1019)
@@ -46,7 +46,7 @@
 import org.txm.rcp.Activator;
 import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.messages.TXMUIMessages;
-import org.txm.rcp.preferences.AdvancePreferencePage;
+import org.txm.rcp.preferences.AdvancedPreferencePage;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.utils.BundleUtils;
 import org.txm.utils.logger.Log;
Index: tmp/org.txm.rcp/plugin.xml
===================================================================
--- tmp/org.txm.rcp/plugin.xml	(revision 1018)
+++ tmp/org.txm.rcp/plugin.xml	(revision 1019)
@@ -202,6 +202,16 @@
             class="org.txm.rcp.AdapterFactory">
          <adapter type="org.eclipse.ui.model.IWorkbenchAdapter"/>
       </factory>
+      <factory
+            adaptableType="org.txm.core.results.TXMResult"
+            class="org.txm.rcp.adapters.DefaultAdapterFactory">
+         <adapter
+               type="org.eclipse.ui.model.IWorkbenchAdapter">
+         </adapter>
+         <adapter
+               type="org.eclipse.ui.model.IWorkbenchAdapter2">
+         </adapter>
+      </factory>
 
 
 
@@ -280,7 +290,7 @@
       </page>
       <page
             category="org.txm.rcp.preferences.TextometriePreferencePage"
-            class="org.txm.rcp.preferences.AdvancePreferencePage"
+            class="org.txm.rcp.preferences.AdvancedPreferencePage"
             id="org.txm.rcp.preferences.AdvancePreferencePage"
             name="%page.name.0">
       </page>
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1018)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1019)
@@ -980,6 +980,14 @@
 	}
 
 	/**
+	 * Gets the default preference node of the initializer instance.
+	 * @return
+	 */
+	public IEclipsePreferences getDefaultPreferencesNode()	{
+		return DefaultScope.INSTANCE.getNode(this.preferencesNode);
+	}
+	
+	/**
 	 * print TxmPreferences in the console.
 	 */
 	public static String dumpToString(String nodeQualifier) {
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1018)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1019)
@@ -175,7 +175,7 @@
 			throw new IllegalArgumentException("A result can not be parent of itself.");
 		}
 		if(uuid == null)	{
-			uuid = createUUID();
+			uuid = createUUID() + "_" + this.getClass().getSimpleName();
 		}
 		this.uniqueID = uuid;
 
@@ -200,8 +200,8 @@
 		// + this.preferencesNodeQualifier + ", class = " + getClass());
 
 		this.dirty = true;
-		this.persistable = true;
-		this.userPersistable = false;
+		this.persistable = false;
+		this.userPersistable = TXMPreferences.getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TBXPreferences.PREFERENCES_NODE);
 		
 
 		// retrieving parent from UUID
@@ -1417,7 +1417,7 @@
 	// FIXME: to discuss and/or to move in export layer
 	public String getValidFileName() {
 		try {
-			return FILE_NAME_PATTERN.matcher(this.getName()).replaceAll(UNDERSCORE); //$NON-NLS-1$
+			return FILE_NAME_PATTERN.matcher(this.getCurrentName()).replaceAll(UNDERSCORE);
 		} catch (Exception e) {
 			Log.printStackTrace(e);
 		}
@@ -1442,7 +1442,7 @@
 		// create the reversed string
 		StringBuilder b = new StringBuilder();
 		for (int i = branch.size() - 1; i >= 0; i--) {
-			b.append("[" + branch.get(i).getClass().getSimpleName() + ": \"" + branch.get(i).getSimpleName() + "\"] / ");
+			b.append("[" + branch.get(i).getClass().getSimpleName() + ": \"" + branch.get(i).getSimpleName() + "\"] / "); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		b.deleteCharAt(b.length() - 3);
 		b.deleteCharAt(b.length() - 2);
@@ -1693,8 +1693,10 @@
 	 * @return
 	 */
 	public boolean mustBePersisted()	{
-		return (this.persistable && TBXPreferences.getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TBXPreferences.PREFERENCES_NODE)
-				|| this.userPersistable);
+		if(this.persistable || TBXPreferences.getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TBXPreferences.PREFERENCES_NODE) || this.userPersistable)	{
+			return true;
+		}
+		return false;
 	}
 	
 	/**
Index: tmp/org.txm.core/src/java/org/txm/objects/Corpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 1018)
+++ tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 1019)
@@ -166,6 +166,8 @@
 	 */
 	public Corpus(Base base, Element c, String uuid) {
 		super(uuid, base);
+		this.persistable = true;
+		this.userPersistable = false;
 		if(base != null && c != null) {
 			this.base = base;
 			this.setPath(base.getPath() + getName());
Index: tmp/org.txm.core/src/java/org/txm/objects/Page.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Page.java	(revision 1018)
+++ tmp/org.txm.core/src/java/org/txm/objects/Page.java	(revision 1019)
@@ -66,6 +66,9 @@
 	 */
 	public Page(Edition edition, Element page) {
 		super(edition);
+		this.persistable = true;
+		this.userPersistable = false;
+		
 		this.setPath(edition.getPath() + getName());
 		setSelfElement(page);
 		this.edition = edition;
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 1018)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 1019)
@@ -149,7 +149,7 @@
 	 * @param parent
 	 */
 	public Progression(Corpus parent)	{
-		this(null, parent);
+		super(parent);
 	}
 
 	/**
@@ -157,17 +157,9 @@
 	 * @param uuid
 	 */
 	public Progression(String uuid)	{
-		this(uuid, null);
+		super(uuid);
 	}
 	
-	/**
-	 * 
-	 * @param uuid
-	 * @param parent
-	 */
-	public Progression(String uuid, Corpus parent)	{
-		super(uuid, parent);
-	}
 	
 	@Override
 	public boolean loadParameters() {
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java	(revision 1018)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java	(revision 1019)
@@ -1,8 +1,6 @@
 package org.txm.progression.core.preferences;
 
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.core.preferences.TXMPreferences;
@@ -33,16 +31,12 @@
 	/** The Constant CUMULATIVE. */
 	public static final String CHART_CUMULATIVE = "cumulative_chart"; //$NON-NLS-1$
 	
-	
-//	/**
-//	 * 
-//	 */
-//	public ProgressionPreferences() {
-//		super();
-////		TXMPreferences.instances.put(this.getClass(), this);
-//	}
 
-
+	
+	/**
+	 * Gets the instance.
+	 * @return
+	 */
 	public static TXMPreferences getInstance()	{
 		if (!TXMPreferences.instances.containsKey(ProgressionPreferences.class)) {
 			new ProgressionPreferences();
@@ -53,15 +47,11 @@
 	
 	@Override
 	public void initializeDefaultPreferences() {
-		Preferences preferences = DefaultScope.INSTANCE.getNode(this.preferencesNode);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		preferences.putBoolean(CHART_CUMULATIVE, true);
 		preferences.putBoolean(REPEAT_SAME_VALUES, false);
 		preferences.putDouble(BANDE_MULTIPLIER, 1.0d);
-
 		
-		System.err.println("**************** ProgressionPreferences.initializeDefaultPreferences(): bande multiplier = " + ProgressionPreferences.getInstance().getDouble(BANDE_MULTIPLIER));
-
-		
 		// shared charts rendering preferences
 		ChartsEnginePreferences.initializeChartsEngineSharedPreferences(preferences);
 	}
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 1018)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 1019)
@@ -2,7 +2,6 @@
 package org.txm.searchengine.cqp.rcp.adapters;
 
 import java.util.ArrayList;
-import java.util.Collection;
 import java.util.Collections;
 
 import org.eclipse.jface.resource.ImageDescriptor;
@@ -10,8 +9,6 @@
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.results.TXMResult;
-import org.txm.objects.SavedQuery;
-import org.txm.objects.Text;
 import org.txm.rcp.Application;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.adapters.TXMResultAdapter;
@@ -38,32 +35,35 @@
 			return new TXMResultAdapter() {
 				@Override
 				public Object[] getChildren(Object corpus) {
-					ArrayList<TXMResult> allChildren = ((Corpus) corpus).getChildren(!TBXPreferences.getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES, TBXPreferences.PREFERENCES_NODE));
+					ArrayList<TXMResult> allChildren = ((Corpus) corpus).getChildren();
 
 					ArrayList partitions = new ArrayList();
 					ArrayList subcorporas = new ArrayList();
-					ArrayList otherChildren = new ArrayList();
+					ArrayList resultsChildren = new ArrayList();
+					ArrayList hiddentResultsChildren = new ArrayList();
 					ArrayList children = new ArrayList();
 					
 					// FIXME: remove Text and SavedQuery from the corpora view
 					// + sort and group the partitions and subcorpus 
 					for (int i = 0; i < allChildren.size(); i++) {
 						Object element = allChildren.get(i);
-						if (
-								//!TBXPreferences.getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES, TBXPreferences.PREFERENCES_NODE) && 
-								!(element instanceof Text)
-								&& !(element instanceof SavedQuery)
-								&& !(element instanceof Corpus)
-								&& !(element instanceof Partition)
-								) {
-							otherChildren.add(element);
-						}
-						else if(element instanceof Partition)	{
+						// partitions
+						if(element instanceof Partition)	{
 							partitions.add(element);
 						}
+						// corpus
 						else if(element instanceof Corpus)	{
 							subcorporas.add(element);
 						}
+						// results
+						else if (((TXMResult)element).isVisible()) {
+							resultsChildren.add(element);
+						}
+						// hidden results
+						else if(TBXPreferences.getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES, TBXPreferences.PREFERENCES_NODE))	{
+							hiddentResultsChildren.add(element);
+						}
+
 					}
 					
 					Collections.sort(partitions);
@@ -71,7 +71,8 @@
 					
 					children.addAll(partitions);
 					children.addAll(subcorporas);
-					children.addAll(otherChildren);
+					children.addAll(resultsChildren);
+					children.addAll(hiddentResultsChildren);
 					
 					return children.toArray();
 				}
